import { jsx } from "react/jsx-runtime";
import { GitMergeIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const GitMerge = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "GitMerge", ...props, children: /* @__PURE__ */ jsx(GitMergeIcon, { weight: variant }) });
  }
);
GitMerge.displayName = "GitMerge";
Object.assign(GitMerge, { isGdsIcon: true });
export {
  GitMerge
};
